Skip to contents

# Easily plot euler diagrams

Source: `R/plot_euler.R`
`plot_euler.Rd`

Easily plot euler diagrams

## Usage

    plot_euler(data, pri, sec, ter = NULL, seed = 2103)

## Arguments

data

  data

seed

  seed

x

  name of main variable

y

  name of secondary variables

z

  grouping variable

## Value

patchwork object

## Examples

    data.frame(
      A = sample(c(TRUE, TRUE, FALSE), 50, TRUE),
      B = sample(c("A", "C"), 50, TRUE),
      C = sample(c(TRUE, FALSE, FALSE, FALSE), 50, TRUE),
      D = sample(c(TRUE, FALSE, FALSE, FALSE), 50, TRUE)
    ) |> plot_euler("A", c("B", "C"), "D", seed = 4)

    mtcars |> plot_euler("vs", "am", seed = 1)
    #> [[1]]

    #>